Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1691594 - lightdm requires gnome-desktop as a dependency
Summary: lightdm requires gnome-desktop as a dependency
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: lightdm
Version: 29
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-22 01:53 UTC by kevin.baisas.aws
Modified: 2019-03-22 04:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-22 04:25:21 UTC


Attachments (Terms of Use)
Video of lightdm dependencies (deleted)
2019-03-22 01:53 UTC, kevin.baisas.aws
no flags Details

Description kevin.baisas.aws 2019-03-22 01:53:32 UTC
Created attachment 1546744 [details]
Video of lightdm dependencies

Description of problem:

As of 03/22/2019 lightdm requires the whole gnome-desktop.

Not really sure if this is a dnf bug.


Version-Release number of selected component (if applicable):
x86_64 1.28.0-2.fc29

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora Everything (Minimal Installation only)
2. Try to install lightdm package

Actual results:
lightdm pulls the gnome-desktop

Expected results:
lightdm should not require gnome-desktop

Additional info:

As of 03/22/2019 lightdm requires the whole gnome-desktop. Installing lightdm-gtk-greeter (depends on lightdm) does not install gnome. Uninstalling lightdm-gtk-greeter then reinstalling lightdm removes gnome-desktop as dependency.

Not really sure if this is a dnf bug.

Here is the full dependency list:

Last metadata expiration check: 0:09:41 ago on Fri 22 Mar 2019 08:54:32 AM PST.
Dependencies resolved.
================================================================================
 Package                             Arch      Version                             Repository        Size
================================================================================
Installing:
 lightdm                             x86_64    1.28.0-2.fc29                       fedora            213 k
Installing dependencies:
 accountsservice                     x86_64    0.6.54-4.fc29                       updates           97 k
 accountsservice-libs                x86_64    0.6.54-4.fc29                       updates           80 k
 appstream-data                      noarch    29-9.fc29                           updates           17 M
 dbus-x11                            x86_64    1:1.12.12-1.fc29                    updates           28 k
 elementary-greeter                  x86_64    3.3.1-1.fc29                        updates           147 k
 evolution-data-server               x86_64    3.30.5-1.fc29                       updates           2.1 M
 evolution-data-server-langpacks     noarch    3.30.5-1.fc29                       updates           1.4 M
 gala-libs                           x86_64    0.3.1-0.21.20190302.git395670e.fc29 updates           56 k
 gcr                                 x86_64    3.28.1-1.fc29                       updates           667 k
 geoclue2                            x86_64    2.4.13-1.fc29                       updates           117 k
 gnome-control-center-filesystem     noarch    3.30.3-1.fc29                       updates           8.4 k
 gnome-desktop3                      x86_64    3.30.2.1-1.fc29                     updates           556 k
 gnome-online-accounts               x86_64    3.30.2-1.fc29                       updates           517 k
 granite                             x86_64    5.2.3-2.fc29                        updates           289 k
 gtk2                                x86_64    2.24.32-4.fc29                      updates           3.3 M
 libgweather                         x86_64    3.28.3-1.fc29                       updates           3.0 M
 libical                             x86_64    3.0.4-1.fc29                        updates           261 k
 libicu                              x86_64    62.1-3.fc29                         updates           8.8 M
 libnma                              x86_64    1.8.18-3.fc29                       updates           94 k
 mutter                              x86_64    3.30.2-2.fc29                       updates           2.3 M
 mutter328-libs                      x86_64    3.28.3-5.fc29                       updates           1.8 M
 network-manager-applet              x86_64    1.8.18-3.fc29                       updates           189 k
 nm-connection-editor                x86_64    1.8.18-3.fc29                       updates           970 k
 pipewire                            x86_64    0.2.5-2.fc29                        updates           369 k
 pipewire-libs                       x86_64    0.2.5-2.fc29                        updates           21 k
 plank-libs                          x86_64    0.11.4-7.fc29                       updates           314 k
 sbc                                 x86_64    1.4-1.fc29                          updates           58 k
 switchboard-libs                    x86_64    2.3.6-1.fc29                        updates           27 k
 upower                              x86_64    0.99.10-1.fc29                      updates           157 k
 webkit2gtk3                         x86_64    2.22.7-1.fc29                       updates           12 M
 webkit2gtk3-jsc                     x86_64    2.22.7-1.fc29                       updates           4.7 M
 wingpanel                           x86_64    2.2.2-1.fc29                        updates           108 k
 wingpanel-libs                      x86_64    2.2.2-1.fc29                        updates           41 k
 ModemManager-glib                   x86_64    1.8.0-4.fc29                        fedora            222 k
 abattis-cantarell-fonts             noarch    0.111-1.fc29                        fedora            242 k
 adwaita-gtk2-theme                  x86_64    3.28-2.fc29                         fedora            135 k
 appstream                           x86_64    0.12.2-2.fc29                       fedora            267 k
 avahi-glib                          x86_64    0.7-16.fc29                         fedora            13 k
 bamf                                x86_64    0.5.3-6.fc29                        fedora            87 k
 bubblewrap                          x86_64    0.3.1-1.fc29                        fedora            44 k
 clutter                             x86_64    1.26.2-7.fc29                       fedora            1.1 M
 clutter-gtk                         x86_64    1.8.4-4.fc29                        fedora            45 k
 cogl                                x86_64    1.22.2-11.fc29                      fedora            470 k
 dee                                 x86_64    1.2.7-21.fc29                       fedora            113 k
 elementary-wallpapers               noarch    5.3-2.fc29                          fedora            34 M
 enchant                             x86_64    1:1.6.0-21.fc29                     fedora            59 k
 geocode-glib                        x86_64    3.26.0-2.fc29                       fedora            68 k
 gnome-menus                         x86_64    3.13.3-10.fc29                      fedora            173 k
 gnome-themes-extra                  x86_64    3.28-2.fc29                         fedora            2.7 M
 google-noto-emoji-color-fonts       noarch    20180814-1.fc29                     fedora            7.2 M
 harfbuzz-icu                        x86_64    1.8.7-1.fc29                        fedora            15 k
 hunspell                            x86_64    1.6.2-3.fc29                        fedora            320 k
 hunspell-en-GB                      noarch    0.20140811.1-13.fc29                fedora            238 k
 hunspell-en-US                      noarch    0.20140811.1-13.fc29                fedora            189 k
 hyphen                              x86_64    2.8.8-10.fc29                       fedora            29 k
 impallari-raleway-fonts             noarch    3.0-5.git20161116.6c67ab1.fc29      fedora            540 k
 libXres                             x86_64    1.2.0-5.fc29                        fedora            15 k
 libcanberra                         x86_64    0.30-17.fc29                        fedora            85 k
 libcanberra-gtk3                    x86_64    0.30-17.fc29                        fedora            31 k
 libdbusmenu                         x86_64    16.04.0-8.fc29                      fedora            137 k
 libdbusmenu-gtk3                    x86_64    16.04.0-8.fc29                      fedora            39 k
 libgdata                            x86_64    0.17.9-3.fc29                       fedora            448 k
 libgee                              x86_64    0.20.1-2.fc29                       fedora            277 k
 libgtop2                            x86_64    2.38.0-4.fc29                       fedora            131 k
 libimobiledevice                    x86_64    1.2.0-17.fc29                       fedora            73 k
 libindicator-gtk3                   x86_64    12.10.1-13.fc29                     fedora            66 k
 libnotify                           x86_64    0.7.7-6.fc29                        fedora            39 k
 liboauth                            x86_64    1.0.3-11.fc29                       fedora            25 k
 libplist                            x86_64    2.0.0-11.fc29                       fedora            72 k
 libstemmer                          x86_64    0-11.585svn.fc29                    fedora            72 k
 libunity                            x86_64    7.1.4-11.20151002.fc29              fedora            401 k
 libusbmuxd                          x86_64    1.0.10-10.fc29                      fedora            33 k
 libwnck3                            x86_64    3.24.1-3.fc29                       fedora            382 k
 libxkbcommon-x11                    x86_64    0.8.2-1.fc29                        fedora            20 k
 libxklavier                         x86_64    5.4-12.fc29                         fedora            64 k
 libxslt                             x86_64    1.1.32-3.fc29                       fedora            243 k
 lightdm-gobject                     x86_64    1.28.0-2.fc29                       fedora            61 k
 mobile-broadband-provider-info      noarch    1.20170310-2.fc29                   fedora            52 k
 psmisc                              x86_64    23.1-4.fc29                         fedora            139 k
 pulseaudio-libs-glib2               x86_64    12.2-1.fc29                         fedora            20 k
 redhat-menus                        noarch    12.0.2-14.fc29                      fedora            139 k
 rtkit                               x86_64    0.11-20.fc29                        fedora            54 k
 sound-theme-freedesktop             noarch    0.8-10.fc29                         fedora            378 k
 startup-notification                x86_64    0.12-16.fc29                        fedora            41 k
 woff2                               x86_64    1.0.2-4.fc29                        fedora            59 k
 zeitgeist-libs                      x86_64    1.0-8.fc29                          fedora            146 k
 zenity                              x86_64    3.30.0-1.fc29                       fedora            4.0 M
Installing weak dependencies:
 webkit2gtk3-plugin-process-gtk2     x86_64    2.22.7-1.fc29                       updates           10 M
 wingpanel-applications-menu         x86_64    2.4.2-1.fc29                        updates           289 k
 wingpanel-indicator-datetime        x86_64    2.1.3-2.fc29                        updates           112 k
 wingpanel-indicator-keyboard        x86_64    2.1.2-1.fc29                        updates           74 k
 wingpanel-indicator-network         x86_64    2.2.2-2.fc29                        updates           112 k
 wingpanel-indicator-nightlight      x86_64    2.0.2-1.fc29                        updates           73 k
 wingpanel-indicator-notifications   x86_64    2.1.2-1.fc29                        updates           96 k
 wingpanel-indicator-power           x86_64    2.1.4-1.fc29                        updates           132 k
 wingpanel-indicator-session         x86_64    2.2.3-1.fc29                        updates           97 k
 wingpanel-indicator-sound           x86_64    2.1.3-1.fc29                        updates           139 k
 hunspell-en                         noarch    0.20140811.1-13.fc29                fedora            193 k
 pinentry-gtk                        x86_64    1.1.0-4.fc29                        fedora            46 k
 wingpanel-indicator-ayatana         x86_64    2.0.3-7.fc29                        fedora            28 k
 rpmfusion-free-appstream-data       noarch    29-4.20181021.fc29                  rpmfusion-free    303 k
 rpmfusion-nonfree-appstream-data    noarch    29-3.20181021.fc29                  rpmfusion-nonfree 62 k

Transaction Summary
================================================================================
Install  103 Packages

Total size: 130 M
Total download size: 103 M
Installed size: 338 M
Is this ok [y/N]:

Comment 1 leigh scott 2019-03-22 04:25:21 UTC
lightdm requires a greeter, you specifed none so it picked elementary-greeter for you.

Try picking a greeter with less deps


sudo dnf install lightdm-gtk


Note You need to log in before you can comment on or make changes to this bug.